Skip to main content

Get all rules

GET 

/api/v1/rules

Fetches all rules (both policies and restrictions) from upload and discovery services. Supports filtering by type to query only policies or restrictions.

Request

Query Parameters

    type string

    Possible values: [policy, restriction]

    Filter by rule type (policy or restriction)

    isActive boolean

    Filter by active status

    releaseId string

    Filter by release ID (policies only)

    deviceTypeName string

    Filter by device type name (restrictions only)

    deviceTypeId number

    Filter by device type ID (restrictions only)

    deviceId string

    Filter by device ID (restrictions only)

    osType string

    Filter by OS type (restrictions only)

Responses

List of all rules

Schema

  • Array [

  • object

  • ]

Loading...